[Haskell-cafe] Re: A cabal odyssey

Andrew Coppin andrewcoppin at btinternet.com
Mon Aug 16 17:06:21 EDT 2010

Kevin Jardine wrote:
> The latest version of the Haskell Platform is Haskell Platform
> 2010.2.0.0.
> However, even with the latest version,
> cabal install cabal-install
> installs cabal in the wrong place (not in extralibs/bin) under Windows
> at least so it is impossible to upgrade cabal.

Well, there's nothing inherantly "wrong" with where it puts the binary. 
All the other binaries (the ones that don't come with HP in the first 
place) get put there too. As far as I can see, the only really "wrong" 
thing is the search path order.

> Having said that perhaps it is for the best as I have had bad
> experiences upgrading bits of the Haskell Platform.
> It is probably safer just to be satisfied with whatever comes with the
> latest version of the Platform and wait patiently for the next
> release.

Yeah, perhaps. (But in that case, we might want to turn off the 
automatic prompting to upgrade it...)

More information about the Haskell-Cafe mailing list